f



Crashing Python interpreter! (windows XP, python2.3.4, 2.3.5rc1, 2.4.0)

Hi,

I'm using the following combination of software:
- Pydev Eclipse plugin (pydev 0.8.5)
- eclipse 3.0.1=20
- windows XP SP1
- pygtk 2.4.1
- GTK 2.6.1 (for windows32 native)

When trying to get a list of possible completions for the 'gtk' import =
object, the python interpreter crashes. Happens with all versions listed =
in the subject: python 2.3.4, 2.3.5rc1, 2.4.0.

I understand that this isn't a useful report (yet) for anyone to look =
into the problem, but I'd please like to get any hints on how to get =
more useful crashdumps etc. to help debugging this.

cheers,

--Tim
0
2/2/2005 2:28:38 PM
comp.lang.python 77058 articles. 6 followers. Post Follow

1 Replies
633 Views

Similar Articles

[PageSpeed] 26

Leeuw van der, Tim schrieb:
> I'm using the following combination of software:
> - Pydev Eclipse plugin (pydev 0.8.5)
> - eclipse 3.0.1 
> - windows XP SP1
> - pygtk 2.4.1
> - GTK 2.6.1 (for windows32 native)

First of all, try tightening the field. Are all of these packages needed to 
reproduce the error? Try to start the interpreter in a command line window and 
see if it happens there, too. That eliminates Eclipse.


> When trying to get a list of possible completions for the 'gtk' import object, the python interpreter crashes. Happens with all versions listed in the subject: python 2.3.4, 2.3.5rc1, 2.4.0.

Might be a problem with GTK for Windows, I don't know.

Type
import gtk
Does that crash? Or is it something like
dir(gtk)

Try different versions of GTK and pygtk. Look at the pygtk homepage to see 
which combination is known to work.

Stefan
0
2/2/2005 2:58:31 PM
Reply: